## Purpose

SGSearch is a frontend to the `find` and `grep` commands allowing respectively 
to search for file names or file content.
It is meant to be a companion to file managers like Thunar (extension is 
provided) and works over GVFS.


## License

Copyright Frank ENDRES 2010-04-03 - &lt;frankendres@tuxfamily.org&gt; (disabled; use &lt;first@last.fr&gt;).

This software is governed by the [CeCILL license](http://cecill.info/licences/Licence_CeCILL_V2.1-en.html) 
under French law, compatible with the GPL (General Public License).


## Usage

### GUI interface

- Select root lookup folder and enter file name (wildcards allowed) and 
some words (if searching for file content), then press search button.
- Double-click on a file to open it with its default application, or right-click 
to get more options.

### From the command line

SGSearch can be parameterized from the command line, allowing integration 
with Thunar or XFCE WhiskerMenu plugin for example.

- Root lookup folder setup:
```sh
sgsearch /path/to/lookup/folder
```

- Search initialisation (auto-start):
```sh
sgsearch [/path/to/lookup/folder] *name*parts*
sgsearch [/path/to/lookup/folder] "/some content"
sgsearch [/path/to/lookup/folder] *name*parts* "/some content"
```


## My other projects

- [Live-System](https://live-system.tuxfamily.org): unintrusive live DVD / USB / NFS
build and install tool written for Arch, Debian / Ubuntu and Slackware64 Linux
- [GCryFolder / Thunar Encryption Plugin](https://thunar-encryption-plugin.tuxfamily.org): 
encrypted folder integration into file managers, *with Thunar extension*
- [GReadyMedia](https://greadymedia.tuxfamily.org): GTK frontend to setup 
a ReadyMedia (formerly MiniDLNA) UPnp service
- [WebMinifier](https://webminifier.tuxfamily.org): minimalist C command line 
utility to minify HTML & CSS files, without any dependency
